Package org.eclipse.cdt.core.templateengine

# Class TemplateCategory

java.lang.Object
org.eclipse.cdt.core.templateengine.TemplateCategory

public class TemplateCategory extends Object

Since:
  5.4

## Constructor Summary

Constructors
Constructor
Description
`TemplateCategory(String id, String label, List<String> parentCategoryIds)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`String`
`getLabel()`
`List<String>`
`getParentCategoryIds()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateCategory

public TemplateCategory(String id, String label, List<String> parentCategoryIds)

## Method Details

### getId

public String getId()

### getLabel

public String getLabel()

### getParentCategoryIds

public List<String> getParentCategoryIds()